Skip to content
Start here

Replace operation(s) attached to a user label

api_gateway.labels.user.resources.operation.update(strname, OperationUpdateParams**kwargs) -> OperationUpdateResponse
PUT/zones/{zone_id}/api_gateway/labels/user/{name}/resources/operation

Replace all operations(s) attached to a user label

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Account API GatewayDomain API Gateway
ParametersExpand Collapse
zone_id: str

Identifier.

maxLength32
name: str

The name of the label

selector: Selector

Operation IDs selector

include: SelectorInclude
operation_ids: SequenceNotStr[str]
ReturnsExpand Collapse
class OperationUpdateResponse:
created_at: datetime
formatdate-time
description: str

The description of the label

last_updated: datetime
formatdate-time
metadata: object

Metadata for the label

name: str

The name of the label

source: Literal["user", "managed"]
  • user - label is owned by the user
  • managed - label is owned by cloudflare
One of the following:
"user"
"managed"
mapped_resources: Optional[object]

Provides counts of what resources are linked to this label

Replace operation(s) attached to a user label

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
operation = client.api_gateway.labels.user.resources.operation.update(
    name="login",
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
    selector={
        "include": {
            "operation_ids": ["f174e90a-fafe-4643-bbbc-4a0ed4fc8415"]
        }
    },
)
print(operation.created_at)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "created_at": "2014-01-01T05:20:00.12345Z",
    "description": "All endpoints that deal with logins",
    "last_updated": "2014-01-01T05:20:00.12345Z",
    "metadata": {
      "foo": "bar"
    },
    "name": "login",
    "source": "user",
    "mapped_resources": {
      "operations": 29
    }
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "created_at": "2014-01-01T05:20:00.12345Z",
    "description": "All endpoints that deal with logins",
    "last_updated": "2014-01-01T05:20:00.12345Z",
    "metadata": {
      "foo": "bar"
    },
    "name": "login",
    "source": "user",
    "mapped_resources": {
      "operations": 29
    }
  },
  "success": true
}